Ce Forum passera en lecture seule en janvier 2020
Image
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

Nouveau plugin zwave/openzwave

(anciennement dénommé plugin OpenZwave)
Avatar de l’utilisateur
Bebel27
Actif
Messages : 908
Inscription : 19 oct. 2014, 18:04
Localisation : Normandie

Re: Nouveau plugin zwave/openzwave

Message par Bebel27 » 21 juil. 2015, 18:22

Effectivement un coup de loupe arrange le tout , sauf mon petit logo de niveau de pile sur la tuile il n'y est plus .
voir ma copie d'écran sur l' œil il y est .

JEEDOM (que la domotique soit avec toi )

Avatar de l’utilisateur
Bebel27
Actif
Messages : 908
Inscription : 19 oct. 2014, 18:04
Localisation : Normandie

Re: Nouveau plugin zwave/openzwave

Message par Bebel27 » 21 juil. 2015, 18:36

J'ai fais la meme chose sur le Fibaro FGSS-001 [Smoke Sensor] 1 et la j'ai le logo de la pile .
Par contre sur le fgss-002 y a pas , je verrai demain donc .
j'ai noté une coquille dans les paramètres classe du module- générique- il met : porte de garage .

JEEDOM (que la domotique soit avec toi )

Avatar de l’utilisateur
dough29
Actif
Messages : 734
Inscription : 30 nov. 2014, 12:55

Re: Nouveau plugin zwave/openzwave

Message par dough29 » 21 juil. 2015, 19:10

Hello !

Bon chez moi ça marche pas trop mal, j'ai juste une petite question, les écrans de mes FGMS sont assez différents :

Image

Comment je peux demander au module de droite de mettre à jour ses informations ?

Merci :)
Jeedom maître (Docker sur Synology DSM6 + téléinfo)
Jeedom esclave (Raspberry Pi 2 B + Z-Wave + MySensors)
récit

Avatar de l’utilisateur
dough29
Actif
Messages : 734
Inscription : 30 nov. 2014, 12:55

Re: Nouveau plugin zwave/openzwave

Message par dough29 » 21 juil. 2015, 19:13

Et il n'est pas sensé se réveiller de lui même régulièrement ? Genre toutes les 3 heures ?

Ça fait au mois 2 semaines que c'est installé, les infos remontent bien (température et présence).
Jeedom maître (Docker sur Synology DSM6 + téléinfo)
Jeedom esclave (Raspberry Pi 2 B + Z-Wave + MySensors)
récit

Avatar de l’utilisateur
dough29
Actif
Messages : 734
Inscription : 30 nov. 2014, 12:55

Re: Nouveau plugin zwave/openzwave

Message par dough29 » 21 juil. 2015, 19:20

Voici l'onglet valeur :

Image

Il manque en effet du monde par rapport à l'autre module !

Et pourtant, voici son historique :

Image

(idem pour la luminosité)
Jeedom maître (Docker sur Synology DSM6 + téléinfo)
Jeedom esclave (Raspberry Pi 2 B + Z-Wave + MySensors)
récit

Avatar de l’utilisateur
Bebel27
Actif
Messages : 908
Inscription : 19 oct. 2014, 18:04
Localisation : Normandie

Re: Nouveau plugin zwave/openzwave

Message par Bebel27 » 21 juil. 2015, 22:36

byackee a écrit :
Bebel27 a écrit :J'ai inclus un FGSS 002 et voici la tuile de configuration par défaut .
Une multitude de valeurs qui servent à rien et j'ai même pas mon niveau de pile en petit en bas de la tuile .
Avant c'étais mieux fais , ou un problème ?
Salut, rien à voir mais l ombragé des tuiles tu fais comment stp?

Merci

Envoyé de mon XT1092 en utilisant Tapatalk
Bonsoir @byackee

dans administration /personalisation avancé . tu colle ça dans la partie css

Code : Tout sélectionner

.eqLogic-widget {
   border-radius: 10px;
  box-shadow: 0px 3px 10px #0d0d0d;
}

JEEDOM (que la domotique soit avec toi )

byackee
Timide
Messages : 263
Inscription : 03 mai 2015, 21:03
Contact :

Re: Nouveau plugin zwave/openzwave

Message par byackee » 21 juil. 2015, 22:46

Merci

Envoyé de mon XT1092 en utilisant Tapatalk

Avatar de l’utilisateur
Bebel27
Actif
Messages : 908
Inscription : 19 oct. 2014, 18:04
Localisation : Normandie

Re: Nouveau plugin zwave/openzwave

Message par Bebel27 » 21 juil. 2015, 22:56

zut ! en me relisant je vois que tu voulais seulement l'effet ombragé, donc il faut que tu enlèves border-radius: 10px;
sinon tes tuiles seront arrondies .. mais c'est la classe les tuiles arrondies .. :D

JEEDOM (que la domotique soit avec toi )

patcolma68
Timide
Messages : 150
Inscription : 12 juin 2015, 13:26

Re: Nouveau plugin zwave/openzwave

Message par patcolma68 » 22 juil. 2015, 12:18

Bonjour

@nechry & loic

Je vous donne des nouvelles de mes bloquages du OZW. Donc j'ai suivi les recommandations de nechry, et je suis repartis sur une image neuve. Je n'ai pas eu à reprogrammer mes scénarios, puisque même pas 1 heure après avoir inclus mes nods, il y a eu blocage.
Donc je suis revenu avec ma sauvegarde d'avant. J'ai remarqué qu'en faisant une synchro sur OZW, je me retrouvais avec plus d'une vingtaine de Nods, moi j'en ai que 8 au total. Ne pouvant les exclures, j'ai fais dans la config un reset complet, et j'ai réinclus mes Nods.
Depuis, ça fait presque 48H, pas de plantage!
On peut donc en déduire, que le plugin est hors de cause. :)

Bonne continuation
RPI3 + usb zwave+ Sigma + RFXCOM + Orvibo
55 module en RFXcom et 30 module Zwave
Volet électrique
RPI2 + Piface2
Arduino + Shield ethernet
Mini+ + razberry

Avatar de l’utilisateur
Escaflowne52
Timide
Messages : 199
Inscription : 14 déc. 2014, 16:46
Localisation : Chalindrey
Contact :

Re: Nouveau plugin zwave/openzwave

Message par Escaflowne52 » 22 juil. 2015, 13:48

Bebel27 a écrit :zut ! en me relisant je vois que tu voulais seulement l'effet ombragé, donc il faut que tu enlèves border-radius: 10px;
sinon tes tuiles seront arrondies .. mais c'est la classe les tuiles arrondies .. :D
L'effet tuile arrondi et ombragé est vraiment top.
Je trouve que ça rend bien plus fini.
Je vais tester ton code ce soir.
Merci d'avoir partagé.
Comme le yin et le yang, je suis technophile et écolo...

Avatar de l’utilisateur
Bebel27
Actif
Messages : 908
Inscription : 19 oct. 2014, 18:04
Localisation : Normandie

Re: Nouveau plugin zwave/openzwave

Message par Bebel27 » 22 juil. 2015, 18:28

nechry a écrit :@Bebel27 tu n'as qu'à pas afficher les valeurs qui ne t'intéresse pas. Pour la pile si la valeur n'est pas encore remonté faut attendre en général 24h. Sinon regarde dans la vue configuration onglet valeurs si elle a déjà remonté au moins une fois.


Sent from my iPhone using Tapatalk
En effet aujourd'hui j'ai bien le niveau de pile , parfait :D .

JEEDOM (que la domotique soit avec toi )

byackee
Timide
Messages : 263
Inscription : 03 mai 2015, 21:03
Contact :

Re: Nouveau plugin zwave/openzwave

Message par byackee » 22 juil. 2015, 19:25

patcolma68 a écrit :Bonjour

@nechry & loic

Je vous donne des nouvelles de mes bloquages du OZW. Donc j'ai suivi les recommandations de nechry, et je suis repartis sur une image neuve. Je n'ai pas eu à reprogrammer mes scénarios, puisque même pas 1 heure après avoir inclus mes nods, il y a eu blocage.
Donc je suis revenu avec ma sauvegarde d'avant. J'ai remarqué qu'en faisant une synchro sur OZW, je me retrouvais avec plus d'une vingtaine de Nods, moi j'en ai que 8 au total. Ne pouvant les exclures, j'ai fais dans la config un reset complet, et j'ai réinclus mes Nods.
Depuis, ça fait presque 48H, pas de plantage!
On peut donc en déduire, que le plugin est hors de cause. :)

Bonne continuation
Bonjour @patcolma68,

Tu parle du blocage avec les matériels secure genre HRT4 et compagnie?

Avatar de l’utilisateur
nechry
Actif
Messages : 9644
Inscription : 24 juin 2014, 20:07
Localisation : Suisse
Contact :

Re: Nouveau plugin zwave/openzwave

Message par nechry » 22 juil. 2015, 20:39

De mémoire non il n'as pas ce device et son problème est tout autre que les hrt4


Sent from my iPhone using Tapatalk
As-tu consulté la documentation avant de poser ta question?
Les demandes de support en MP ne seront pas traité mais j'accepte les dons paypal.me/nechry
Visiter mon blog http://nechry-automation.ch/

patcolma68
Timide
Messages : 150
Inscription : 12 juin 2015, 13:26

Re: Nouveau plugin zwave/openzwave

Message par patcolma68 » 22 juil. 2015, 22:57

@sarakha63

Non je n'ai pas le HRT4.
RPI3 + usb zwave+ Sigma + RFXCOM + Orvibo
55 module en RFXcom et 30 module Zwave
Volet électrique
RPI2 + Piface2
Arduino + Shield ethernet
Mini+ + razberry

kimi1983
Timide
Messages : 100
Inscription : 09 juil. 2014, 22:17

Re: Nouveau plugin zwave/openzwave

Message par kimi1983 » 23 juil. 2015, 11:10

Bonjour,

je viens d'installer openzwave en stable sur mon pi, par contre ca ne marche pas. voici deux captures :
1.JPG
1.JPG (32.13 Kio) Consulté 929 fois
2.JPG
2.JPG (77.08 Kio) Consulté 929 fois
Log Erreur :

Erreur sur openzwave::pull() : Exception Object<br/>(<br/> [message:protected] => Fichier non trouvé : /etc/nginx/sites-available/jeedom_dynamic_rule<br/> [string:Exception:private] => <br/> [code:protected] => 0<br/> [file:protected] => /usr/share/nginx/www/jeedom/core/class/network.class.php<br/> [line:protected] => 244<br/> [trace:Exception:private] => Array<br/> (<br/> [0] => Array<br/> (<br/> [file] => /usr/share/nginx/www/jeedom/plugins/openzwave/core/class/openzwave.class.php<br/> [line] => 102<br/> [function] => nginx_saveRule<br/> [class] => network<br/> [type] => ::<br/> [args] => Array<br/> (<br/> [0] => Array<br/> (<br/> [0] => location /openzwave_0_8n4k4hwfnsaeis5nx9rq94f74uhg39/ {<br/>proxy_pass http://127.0.0.1:8083/, off,<br/>proxy_set_header Host $host:$server_port,<br/>proxy_set_header X-Real-IP $remote_addr,<br/>}<br/> )<br/><br/> )<br/><br/> )<br/><br/> [1] => Array<br/> (<br/> [file] => /usr/share/nginx/www/jeedom/plugins/openzwave/core/class/openzwave.class.php<br/> [line] => 60<br/> [function] => updateNginxRedirection<br/> [class] => openzwave<br/> [type] => ::<br/> [args] => Array<br/> (<br/> )<br/><br/> )<br/><br/> [2] => Array<br/> (<br/> [file] => /usr/share/nginx/www/jeedom/plugins/openzwave/core/class/openzwave.class.php<br/> [line] => 154<br/> [function] => listServerZwave<br/> [class] => openzwave<br/> [type] => ::<br/> [args] => Array<br/> (<br/> )<br/><br/> )<br/><br/> [3] => Array<br/> (<br/> [file] => /usr/share/nginx/www/jeedom/core/php/jeeCron.php<br/> [line] => 84<br/> [function] => pull<br/> [class] => openzwave<br/> [type] => ::<br/> [args] => Array<br/> (<br/> [0] => <br/> )<br/><br/> )<br/><br/> )<br/><br/> [previous:Exception:private] => <br/>)<br/>

Est-ce qu'il y a quelqu'un qui a une idée.

merci

olfax
Timide
Messages : 191
Inscription : 02 sept. 2014, 14:21

Re: Nouveau plugin zwave/openzwave

Message par olfax » 23 juil. 2015, 20:33

Je rencontre toujours des problèmes de compilation de la lib openZwave,
voici l'erreur que j'ai lors de l'installation :

Code : Tout sélectionner

python setup-lib.py build

running build
running build_py
package init file 'lib/__init__.py' not found (or not a regular file)
running build_ext
building 'libopenzwave' extension
i686-linux-gnu-gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fPIC -Iopenzwave/cpp/src -Iopenzwave/cpp/src/value_classes -Iopenzwave/cpp/src/platform -Iopenzwave/cpp/build/linux -I/usr/include/python2.7 -c lib/libopenzwave.c -o build/temp.linux-i686-2.7/lib/libopenzwave.o
i686-linux-gnu-gcc: error: lib/libopenzwave.c: Aucun fichier ou dossier de ce type
i686-linux-gnu-gcc: fatal error: no input files
compilation terminated.
Si je me mets dans le répertoire et que je fais un "make build", la compilation echoue de la même manière.
Il s'agit d'une install sur un ubuntu 14.04 32bits
Si quelqu'un a une idée ...
Master : VM Debian ( Virtualbox) Ipx800 v2,zwave(vr,relaySwitch,oeil), xpl(oregon), x10(dimmer,relay), rfxcom(Lan) nodemcu , JPI

stouille
Timide
Messages : 421
Inscription : 12 févr. 2014, 09:47

Re: Nouveau plugin zwave/openzwave

Message par stouille » 25 juil. 2015, 14:55

Salut. Je viens d'essayer de passer sous OpenZwave non sans difficultés.

Initialement j'étais sous zway en déporté avec un raspberry + razzberry.
Le gros problème de mon installation c'est que sur mon déporté (raspberry), j'avais juste installé un raspbian + zway server sans jeedom. Difficile donc de faire les étapes de migrations correctement.

J'ai donc,

- Installé jeedom sur mon rasp
- Installé le plugin zway
- Retrouvé un réseau correct (requete NIF et interrogations)
- Passé mon rasp en déporté

A cette étape, tout marchait correctement

J'ai donc ensuite
- Installé Z-Wave sur maitre + escalve (rasp)
- Lancé les dépendances sous l'esclave
- Lancé la migration sur le maitre
- rebooter les deux
- Essayer de faire la synchro

C'est à ce point que je bloque.
Actuellement, sur le déporté :

Image

A priori tout est correct non ?

Sur le maitre :

Image

Pas bon ca par contre.
Lorsque je regarde la santé du réseau zwave, j'ai l'erreur 404. J'ai pourtant bien fait l'étape visudo, comment en être sur ?
Image

Merci

Avatar de l’utilisateur
Theduck38
Helper
Messages : 2714
Inscription : 22 févr. 2015, 17:32
Localisation : Près de Grenoble
Contact :

Re: Nouveau plugin zwave/openzwave

Message par Theduck38 » 25 juil. 2015, 17:37

Bonjour à tous,

J'ai migré hier, sans aucun problème... bravo pour le travail et la nouvelle interface !

J'ai aussi utilisé la fonction de 'Receive Configuration' pour pousser la config de ma Vera (contrôleur primaire) dans la clef Sigma Design UZB (contrôleur secondaire = Jeedom)... ça marche aussi puisque j'ai récupéré dans Jeedom un module associé entre temps par la Vera.

Il me reste juste un type d'appareil qui ne communique pas avec Jeedom : les capteurs de présence ZP3102.
Le capteur est détecté mais il semble n'y avoir aucun dialogue...

Quelqu'un a-t-il réussi à les faire fonctionner en secondaire (Nordix il me semble mais je ne suis plus sûr), et comment ?

Voici les captures :

Nodes 7 et 15 sont des ZP3102...
Sante.png
Sante.png (213.58 Kio) Consulté 821 fois
Resume.png
Resume.png (71.58 Kio) Consulté 821 fois
Valeurs.png
Valeurs.png (31.7 Kio) Consulté 821 fois
Le reste est vide....
-- TD38 --
Helper Officiel Jeedom
Zimeteo sur Jeedom : http://www.meteo.lecoin.info
Jeedom Stable sur serveur custom
Le risque électrique - Afficheur leds RGB - Tablette Murale - Thermostat connecté

stouille
Timide
Messages : 421
Inscription : 12 févr. 2014, 09:47

Re: Nouveau plugin zwave/openzwave

Message par stouille » 25 juil. 2015, 19:05

Alors me concernant, je vais peut être avancer par étape et m'occuper que du déporté.
J'ai refais une mise a jour des dépendances dont voici les logs :

Code : Tout sélectionner

Hit http://archive.raspberrypi.org wheezy Release.gpg
Hit http://raspberrypi.collabora.com wheezy Release.gpg
Hit http://mirrordirector.raspbian.org wheezy Release.gpg
Hit http://raspberrypi.collabora.com wheezy Release
Hit http://mirrordirector.raspbian.org wheezy Release
Hit http://archive.raspberrypi.org wheezy Release
Hit http://apt.adafruit.com wheezy Release.gpg
Hit http://raspberrypi.collabora.com wheezy/rpi armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/main armhf Packages
Hit http://apt.adafruit.com wheezy Release
Hit http://archive.raspberrypi.org wheezy/main armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/contrib armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/non-free armhf Packages
Hit http://mirrordirector.raspbian.org wheezy/rpi armhf Packages
Ign http://raspberrypi.collabora.com wheezy/rpi Translation-en
Ign http://archive.raspberrypi.org wheezy/main Translation-en
Hit http://apt.adafruit.com wheezy/main armhf Packages
Ign http://apt.adafruit.com wheezy/main Translation-en
Ign http://mirrordirector.raspbian.org wheezy/contrib Translation-en
Ign http://mirrordirector.raspbian.org wheezy/main Translation-en
Ign http://mirrordirector.raspbian.org wheezy/non-free Translation-en
Ign http://mirrordirector.raspbian.org wheezy/rpi Translation-en
Reading package lists...
Installation des dependances
Reading package lists...
Building dependency tree...
Reading state information...
mercurial is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
git is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
python-pip is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
python-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
python-setuptools is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
python-louie is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
python-sphinx is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
make is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
build-essential is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
libudev-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
g++ is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
gcc is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
python-lxml is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Installation des dependances Python
Requirement already satisfied (use --upgrade to upgrade): sphinxcontrib-blockdiag in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): blockdiag>=1.5.0 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Sphinx>=0.6 in /usr/lib/pymodules/python2.7 (from sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): distribute in /usr/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): funcparserlib in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Pillow in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): webcolors in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Pygments>=1.2 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.3 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Requirement already satisfied (use --upgrade to upgrade): docutils>=0.7 in /usr/lib/pymodules/python2.7 (from Sphinx>=0.6->sphinxcontrib-blockdiag)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): sphinxcontrib-actdiag in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): blockdiag>=1.5.0 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): actdiag>=0.5.3 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): Sphinx>=0.6 in /usr/lib/pymodules/python2.7 (from sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): distribute in /usr/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): funcparserlib in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): Pillow in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): webcolors in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): Pygments>=1.2 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.3 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-actdiag)
Requirement already satisfied (use --upgrade to upgrade): docutils>=0.7 in /usr/lib/pymodules/python2.7 (from Sphinx>=0.6->sphinxcontrib-actdiag)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): sphinxcontrib-nwdiag in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): blockdiag>=1.5.0 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): nwdiag>=1.0.3 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): Sphinx>=0.6 in /usr/lib/pymodules/python2.7 (from sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): distribute in /usr/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): funcparserlib in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): Pillow in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): webcolors in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): Pygments>=1.2 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.3 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-nwdiag)
Requirement already satisfied (use --upgrade to upgrade): docutils>=0.7 in /usr/lib/pymodules/python2.7 (from Sphinx>=0.6->sphinxcontrib-nwdiag)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): sphinxcontrib-seqdiag in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): blockdiag>=1.5.0 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): seqdiag>=0.9.3 in /usr/local/lib/python2.7/dist-packages (from sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): Sphinx>=0.6 in /usr/lib/pymodules/python2.7 (from sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): distribute in /usr/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): funcparserlib in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): Pillow in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): webcolors in /usr/local/lib/python2.7/dist-packages (from blockdiag>=1.5.0->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): Pygments>=1.2 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.3 in /usr/lib/python2.7/dist-packages (from Sphinx>=0.6->sphinxcontrib-seqdiag)
Requirement already satisfied (use --upgrade to upgrade): docutils>=0.7 in /usr/lib/pymodules/python2.7 (from Sphinx>=0.6->sphinxcontrib-seqdiag)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): urwid in /usr/local/lib/python2.7/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): louie in /usr/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): nose>=0.8.3 in /usr/local/lib/python2.7/dist-packages (from louie)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): flask in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): Werkzeug>=0.7 in /usr/local/lib/python2.7/dist-packages (from flask)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.4 in /usr/lib/python2.7/dist-packages (from flask)
Requirement already satisfied (use --upgrade to upgrade): itsdangerous>=0.21 in /usr/local/lib/python2.7/dist-packages (from flask)
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): flask-restful in /usr/local/lib/python2.7/dist-packages
Requirement already satisfied (use --upgrade to upgrade): aniso8601>=0.82 in /usr/local/lib/python2.7/dist-packages (from flask-restful)
Requirement already satisfied (use --upgrade to upgrade): Flask>=0.8 in /usr/local/lib/python2.7/dist-packages (from flask-restful)
Requirement already satisfied (use --upgrade to upgrade): six>=1.3.0 in /usr/local/lib/python2.7/dist-packages (from flask-restful)
Requirement already satisfied (use --upgrade to upgrade): pytz in /usr/local/lib/python2.7/dist-packages (from flask-restful)
Requirement already satisfied (use --upgrade to upgrade): Werkzeug>=0.7 in /usr/local/lib/python2.7/dist-packages (from Flask>=0.8->flask-restful)
Requirement already satisfied (use --upgrade to upgrade): Jinja2>=2.4 in /usr/lib/python2.7/dist-packages (from Flask>=0.8->flask-restful)
Requirement already satisfied (use --upgrade to upgrade): itsdangerous>=0.21 in /usr/local/lib/python2.7/dist-packages (from Flask>=0.8->flask-restful)
Cleaning up...
mkdir: cannot create directory `/opt': File exists
Sauvegarde du fichier de conf
cp: cannot stat `/opt/python-openzwave/zwcfg*': No such file or directory
Désinstallation de la version précédente
rm -rf build
rm -rf dists
yes | pip uninstall python-openzwave-lib
Cannot uninstall requirement python-openzwave-lib, not installed
Storing complete log in /root/.pip/pip.log
Makefile:78: recipe for target 'uninstall' failed
make: [uninstall] Error 1 (ignored)
yes | pip uninstall python-openzwave-api
Cannot uninstall requirement python-openzwave-api, not installed
Storing complete log in /root/.pip/pip.log
Makefile:78: recipe for target 'uninstall' failed
make: [uninstall] Error 1 (ignored)
yes | pip uninstall libopenzwave
Cannot uninstall requirement libopenzwave, not installed
Storing complete log in /root/.pip/pip.log
Makefile:78: recipe for target 'uninstall' failed
make: [uninstall] Error 1 (ignored)
yes | pip uninstall openzwave
Cannot uninstall requirement openzwave, not installed
Storing complete log in /root/.pip/pip.log
Makefile:78: recipe for target 'uninstall' failed
make: [uninstall] Error 1 (ignored)
yes | pip uninstall pyozwman
Cannot uninstall requirement pyozwman, not installed
Storing complete log in /root/.pip/pip.log
Makefile:78: recipe for target 'uninstall' failed
make: [uninstall] Error 1 (ignored)
yes | pip uninstall pyozwweb
Cannot uninstall requirement pyozwweb, not installed
Storing complete log in /root/.pip/pip.log
Makefile:78: recipe for target 'uninstall' failed
make: [uninstall] Error 1 (ignored)
python setup-lib.py develop --uninstall
running develop
Checking .pth file support in /usr/local/lib/python2.7/dist-packages/
/usr/bin/python -E -c pass
TEST PASSED: /usr/local/lib/python2.7/dist-packages/ appears to support .pth files
python setup-api.py develop --uninstall
running develop
Checking .pth file support in /usr/local/lib/python2.7/dist-packages/
/usr/bin/python -E -c pass
TEST PASSED: /usr/local/lib/python2.7/dist-packages/ appears to support .pth files
python setup-manager.py develop --uninstall
running develop
Checking .pth file support in /usr/local/lib/python2.7/dist-packages/
/usr/bin/python -E -c pass
TEST PASSED: /usr/local/lib/python2.7/dist-packages/ appears to support .pth files
Note: you must uninstall or replace scripts manually!
python setup-web.py develop --uninstall
running develop
Checking .pth file support in /usr/local/lib/python2.7/dist-packages/
/usr/bin/python -E -c pass
TEST PASSED: /usr/local/lib/python2.7/dist-packages/ appears to support .pth files
rm -f libopenzwave.so
rm -f src-lib/libopenzwave.so
rm -f libopenzwave/liopenzwave.so
rm -Rf python_openzwave_api.egg-info/
rm -Rf src-api/python_openzwave_api.egg-info/
rm -Rf src-api/openzwave.egg-info/
rm -Rf src-manager/pyozwman.egg-info/
rm -Rf src-lib/python_openzwave_lib.egg-info/
rm -Rf src-lib/libopenzwave.egg-info/
rm -Rf src-web/pyozwweb.egg-info/
rm -Rf /usr/local/lib/python2.7/dist-packages/python-openzwave*
rm -Rf /usr/local/lib/python2.7/dist-packages/python_openzwave*
rm -Rf /usr/local/lib/python2.7/dist-packages/libopenzwave*
rm -Rf /usr/local/lib/python2.7/dist-packages/openzwave*
rm -Rf /usr/local/lib/python2.7/dist-packages/pyozwman*
rm -Rf /usr/local/lib/python2.7/dist-packages/pyozwweb*
rm -Rf /usr/local/share/python-openzwave
rm -Rf /usr/local/share/openzwave
Installation de Python-OpenZwave
Cloning into 'python-openzwave'...
HEAD is now at e936bc8 Auto-commit for docs
Uninstalling Cython:
  Successfully uninstalled Cython
apt-get install -y cython
Reading package lists...
Building dependency tree...
Reading state information...
cython is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 36 not upgraded.
Cloning into 'openzwave'...
Checking out files:   0% (2/568)   
Checking out files:   1% (6/568)   
Checking out files:   2% (12/568)   
Checking out files:   3% (18/568)   
Checking out files:   4% (23/568)   
Checking out files:   5% (29/568)   
Checking out files:   6% (35/568)   
Checking out files:   7% (40/568)   
Checking out files:   8% (46/568)   
Checking out files:   9% (52/568)   
Checking out files:  10% (57/568)   
Checking out files:  11% (63/568)   
Checking out files:  12% (69/568)   
Checking out files:  13% (74/568)   
Checking out files:  14% (80/568)   
Checking out files:  15% (86/568)   
Checking out files:  16% (91/568)   
Checking out files:  17% (97/568)   
Checking out files:  18% (103/568)   
Checking out files:  19% (108/568)   
Checking out files:  20% (114/568)   
Checking out files:  21% (120/568)   
Checking out files:  22% (125/568)   
Checking out files:  23% (131/568)   
Checking out files:  24% (137/568)   
Checking out files:  25% (142/568)   
Checking out files:  26% (148/568)   
Checking out files:  27% (154/568)   
Checking out files:  28% (160/568)   
Checking out files:  29% (165/568)   
Checking out files:  30% (171/568)   
Checking out files:  31% (177/568)   
Checking out files:  32% (182/568)   
Checking out files:  33% (188/568)   
Checking out files:  34% (194/568)   
Checking out files:  35% (199/568)   
Checking out files:  36% (205/568)   
Checking out files:  37% (211/568)   
Checking out files:  38% (216/568)   
Checking out files:  39% (222/568)   
Checking out files:  40% (228/568)   
Checking out files:  41% (233/568)   
Checking out files:  42% (239/568)   
Checking out files:  43% (245/568)   
Checking out files:  44% (250/568)   
Checking out files:  45% (256/568)   
Checking out files:  46% (262/568)   
Checking out files:  47% (267/568)   
Checking out files:  48% (273/568)   
Checking out files:  49% (279/568)   
Checking out files:  50% (284/568)   
Checking out files:  51% (290/568)   
Checking out files:  52% (296/568)   
Checking out files:  53% (302/568)   
Checking out files:  54% (307/568)   
Checking out files:  55% (313/568)   
Checking out files:  56% (319/568)   
Checking out files:  57% (324/568)   
Checking out files:  58% (330/568)   
Checking out files:  59% (336/568)   
Checking out files:  60% (341/568)   
Checking out files:  61% (347/568)   
Checking out files:  62% (353/568)   
Checking out files:  63% (358/568)   
Checking out files:  64% (364/568)   
Checking out files:  65% (370/568)   
Checking out files:  66% (375/568)   
Checking out files:  67% (381/568)   
Checking out files:  68% (387/568)   
Checking out files:  69% (392/568)   
Checking out files:  70% (398/568)   
Checking out files:  71% (404/568)   
Checking out files:  72% (409/568)   
Checking out files:  73% (415/568)   
Checking out files:  73% (417/568)   
Checking out files:  74% (421/568)   
Checking out files:  75% (426/568)   
Checking out files:  76% (432/568)   
Checking out files:  77% (438/568)   
Checking out files:  78% (444/568)   
Checking out files:  79% (449/568)   
Checking out files:  80% (455/568)   
Checking out files:  81% (461/568)   
Checking out files:  82% (466/568)   
Checking out files:  83% (472/568)   
Checking out files:  84% (478/568)   
Checking out files:  85% (483/568)   
Checking out files:  86% (489/568)   
Checking out files:  87% (495/568)   
Checking out files:  88% (500/568)   
Checking out files:  89% (506/568)   
Checking out files:  90% (512/568)   
Checking out files:  91% (517/568)   
Checking out files:  92% (523/568)   
Checking out files:  93% (529/568)   
Checking out files:  94% (534/568)   
Checking out files:  95% (540/568)   
Checking out files:  96% (546/568)   
Checking out files:  97% (551/568)   
Checking out files:  98% (557/568)   
Checking out files:  99% (563/568)   
Checking out files: 100% (568/568)   
Checking out files: 100% (568/568), done.
HEAD is now at be04f6c Fix a crash as a result of the last change
make -C /opt/python-openzwave/openzwave/cpp/build/ - 
make[1]: Entering directory '/opt/python-openzwave/openzwave/cpp/build'
Building OpenZWave Version 1.3-337-gbe04f6c-dirty
Building tinystr.o
Building tinyxmlerror.o
Building tinyxml.o
Building tinyxmlparser.o
Building hid.o
Building aeskey.o
Building aescrypt.o
Building aestab.o
Building aes_modes.o
Building SensorAlarm.o
Building Proprietary.o
Building Language.o
Building CommandClass.o
Building MultiCmd.o
Building Indicator.o
Building CRC16Encap.o
Building SensorBinary.o
Building SwitchBinary.o
Building SwitchAll.o
Building Configuration.o
Building Battery.o
Building Hail.o
Building SwitchToggleBinary.o
Building SensorMultilevel.o
Building MultiInstance.o
Building TimeParameters.o
Building UserCode.o
Building CentralScene.o
Building MeterPulse.o
Building ManufacturerSpecific.o
Building ThermostatFanState.o
Building SwitchMultilevel.o
Building ApplicationStatus.o
Building NodeNaming.o
Building DoorLockLogging.o
Building ClimateControlSchedule.o
Building Protection.o
Building ThermostatOperatingState.o
Building Meter.o
Building WakeUp.o
Building MultiInstanceAssociation.o
Building Association.o
Building Lock.o
Building SceneActivation.o
Building Powerlevel.o
Building AssociationCommandConfiguration.o
Building DoorLock.o
Building ThermostatFanMode.o
Building Security.o
Building Version.o
Building Clock.o
Building Alarm.o
Building CommandClasses.o
Building ThermostatSetpoint.o
Building NoOperation.o
Building BasicWindowCovering.o
Building EnergyProduction.o
Building Basic.o
Building ThermostatMode.o
Building ControllerReplication.o
Building SwitchToggleMultilevel.o
Building Value.o
Building ValueList.o
Building ValueButton.o
Building ValueInt.o
Building ValueStore.o
Building ValueDecimal.o
Building ValueRaw.o
Building ValueString.o
Building ValueByte.o
Building ValueBool.o
Building ValueSchedule.o
Building ValueShort.o
Building Controller.o
Building Wait.o
Building Thread.o
Building Stream.o
Building Log.o
Building HidController.o
Building Mutex.o
Building SerialController.o
Building Event.o
Building FileOps.o
Building TimeStamp.o
Building FileOpsImpl.o
Building TimeStampImpl.o
Building WaitImpl.o
Building ThreadImpl.o
Building LogImpl.o
Building MutexImpl.o
Building SerialControllerImpl.o
Building EventImpl.o
Building Scene.o
Building Utils.o
Building Driver.o
Building ZWSecurity.o
Building Group.o
Building Node.o
Building Manager.o
Building Msg.o
Building Notification.o
Creating vers.cpp
Building vers.o
Linking Static Library
Linking Shared Library
make[1]: Leaving directory '/opt/python-openzwave/openzwave/cpp/build'
make -C /opt/python-openzwave/openzwave/cpp/examples/MinOZW/ - 
make[1]: Entering directory '/opt/python-openzwave/openzwave/cpp/examples/MinOZW'
Building Main.o
Linking /opt/python-openzwave/openzwave/.lib/MinOZW
g++   -o /opt/python-openzwave/openzwave/.lib/MinOZW /opt/python-openzwave/openzwave/.lib/Main.o /opt/python-openzwave/openzwave/libopenzwave.so -pthread
Creating Temporary Shell Launch Script
make[1]: Leaving directory '/opt/python-openzwave/openzwave/cpp/examples/MinOZW'
python setup-lib.py install
running install
Checking .pth file support in /usr/local/lib/python2.7/dist-packages/
/usr/bin/python -E -c pass
TEST PASSED: /usr/local/lib/python2.7/dist-packages/ appears to support .pth files
running bdist_egg
running egg_info
creating src-lib/libopenzwave.egg-info
writing src-lib/libopenzwave.egg-info/PKG-INFO
writing top-level names to src-lib/libopenzwave.egg-info/top_level.txt
writing dependency_links to src-lib/libopenzwave.egg-info/dependency_links.txt
writing manifest file 'src-lib/libopenzwave.egg-info/SOURCES.txt'
reading manifest file 'src-lib/libopenzwave.egg-info/SOURCES.txt'
writing manifest file 'src-lib/libopenzwave.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-armv6l/egg
running install_lib
running build_ext
cythoning src-lib/libopenzwave/libopenzwave.pyx to src-lib/libopenzwave/libopenzwave.cpp
building 'libopenzwave' extension
creating build/temp.linux-armv6l-2.7/src-lib
creating build/temp.linux-armv6l-2.7/src-lib/libopenzwave
gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fPIC -Iopenzwave/cpp/src/ -Iopenzwave/cpp/src/value_classes/ -Iopenzwave/cpp/src/platform/ -Iopenzwave/cpp/build/linux/ -I/usr/include/python2.7 -c src-lib/libopenzwave/libopenzwave.cpp -o build/temp.linux-armv6l-2.7/src-lib/libopenzwave/libopenzwave.o
cc1plus: warning: command line option '-Wstrict-prototypes' is valid for Ada/C/ObjC but not for C++ [enabled by default]
In file included from openzwave/cpp/src/aes/aescpp.h:26:0,
                 from openzwave/cpp/src/Driver.h:41,
                 from src-lib/libopenzwave/libopenzwave.cpp:243:
openzwave/cpp/src/aes/aes.h:75:0: warning: ignoring #pragma warning  [-Wunknown-pragmas]
openzwave/cpp/src/aes/aes.h:93:0: warning: ignoring #pragma warning  [-Wunknown-pragmas]
src-lib/libopenzwave/libopenzwave.cpp: In function 'PyObject* __pyx_pf_12libopenzwave_11NullHandler_emit(PyObject*, PyObject*, PyObject*)':
src-lib/libopenzwave/libopenzwave.cpp:2466:13: warning: variable '__pyx_v_self' set but not used [-Wunused-but-set-variable]
src-lib/libopenzwave/libopenzwave.cpp:2467:13: warning: variable '__pyx_v_record' set but not used [-Wunused-but-set-variable]
src-lib/libopenzwave/libopenzwave.cpp: In function 'PyObject* __pyx_pf_12libopenzwave_14StdOutToLogger_2write(PyObject*, PyObject*, PyObject*)':
src-lib/libopenzwave/libopenzwave.cpp:2846:13: warning: variable '__pyx_v_self' set but not used [-Wunused-but-set-variable]
src-lib/libopenzwave/libopenzwave.cpp: In function 'PyObject* __pyx_pf_12libopenzwave_9PyManager_125beginControllerCommand(PyObject*, PyObject*, PyObject*)':
src-lib/libopenzwave/libopenzwave.cpp:20393:15: warning: 'bool OpenZWave::Manager::BeginControllerCommand(uint32, OpenZWave::Driver::ControllerCommand, OpenZWave::Driver::pfnControllerCallback_t, void*, bool, uint8, uint8)' is deprecated (declared at openzwave/cpp/src/Manager.h:1640) [-Wdeprecated-declarations]
Ensuite lorsque je Lance un mode debug j'ai :

Code : Tout sélectionner

25-07-2015 19:05:03 - info - Lancement du démon openzwave
25-07-2015 19:05:03 - info - Lancement démon openzwave : /usr/bin/python /usr/share/nginx/www/jeedom/plugins/openzwave/ressources/zwaveserver/openZWave.py --pidfile=/tmp/openzwave.pid --device=/dev/ttyAMA0 --log=Debug --port=8083 --config=/usr/share/nginx/www/jeedom/plugins/openzwave/ressources/openzwave/config
25-07-2015 19:05:11 - info - Lancement du démon openzwave
25-07-2015 19:05:11 - info - Lancement démon openzwave : /usr/bin/python /usr/share/nginx/www/jeedom/plugins/openzwave/ressources/zwaveserver/openZWave.py --pidfile=/tmp/openzwave.pid --device=/dev/ttyAMA0 --log=Info --port=8083 --config=/usr/share/nginx/www/jeedom/plugins/openzwave/ressources/openzwave/config
Check flask dependances
--> pass
Check other dependances
--> pass
Check SQLite
--> SQLite version: 3.7.13
Check Openzwave
Openzwave is not installed. Get it from tmp directory.
Traceback (most recent call last):
  File "/usr/share/nginx/www/jeedom/plugins/openzwave/ressources/zwaveserver/openZWave.py", line 80, in <module>
    import openzwave
ImportError: No module named openzwave
Check flask dependances
--> pass
Check other dependances
--> pass
Check SQLite
--> SQLite version: 3.7.13
Check Openzwave
Openzwave is not installed. Get it from tmp directory.
Traceback (most recent call last):
  File "/usr/share/nginx/www/jeedom/plugins/openzwave/ressources/zwaveserver/openZWave.py", line 80, in <module>
    import openzwave
ImportError: No module named openzwave
25-07-2015 19:05:33 - error - Impossible de lancer le démon openzwave, vérifiez le port
De l'aide SVP par ce que la j'ai plus de domotique et bizarrement ca commence à râler à la maison ;)

bemar
Timide
Messages : 34
Inscription : 01 sept. 2014, 05:54

Re: Nouveau plugin zwave/openzwave

Message par bemar » 25 juil. 2015, 19:22

@stouille Tu es sûr qu'elle est finie ton installation des dépendances? je n'en ai pas l'impression en voyant ton premier log :(

Pour ma part ça commence aussi à râler lol, surtout qu'à une semaine de partir en vacances ne plus pouvoir faire de simulation de présence (volets, lumières,...) c'est bête :(

Répondre

Revenir vers « Plugin Z-Wave »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité